#include <iostream>
using namespace std;
main ()
{
            int n;
            int a;
            cin>>n;
            cin>>a;
            int q = n / a;
            if (q<3)
            {
                cout<<-1;
            }
            if (q==3)
            {
                for (int i = 0; i < q; i++)
                {
                  int t1 = a;
                  int t2 = 0;
                  cout<<t1<<" "<<t2;
                }
            }
            if (q==4)
            {
                int t1 = a;
                int z = t1*q;
                n = n - z;
                int t2;
                for (int i = 0; i < q; i++)
                {
                    if (n >= a - 2)

                    { t2 = (a - 2); }
                    else
                    { t2 = n; }
                    if (i == 2)
                    {
                        cout<<t2+" "+t1<<endl;
                    }
                    else
                    {
                        cout<<t1<<" "<<t2<<endl;
                    }

                    n -= t2;
                }
            }
            if (q==5)
            {
                int t1 = a;
                int z = t1*q;
                n = n - z;
                int t2;
                for (int i = 0; i < q; i++)
                {
                    if (n >= a - 2)

                    { t2 = (a - 2); }
                    else
                    { t2 = n; }
                    if (i == 2 || i == 3)
                    {
                        cout<<t2+" "+t1<<endl;
                    }
                    else
                    {
                        cout<<t1<<" "<<t2<<endl;
                    }

                    n -= t2;
                }
            }
            if (q>5)
            {
                q = 5;
                int t1 = a;
                int z = t1*q;
                int n1 = n;
                n = n - z;
                int t2;
                int dodato=0;
                long int rezultat[5][2];
                for (int i = 0; i < q; i++)
                {
                    if (n >= a - 2)

                    { t2 = (a - 2); }
                    else
                    { t2 = n; }
                    rezultat[i][0] = t1;
                    rezultat[i][1] = t2;
                    n -= t2;
                    dodato += t1 + t2;
                }
                int dodati = n1-dodato;
                rezultat[0][0] += dodati;
                for (int i = 0; i < 5; i++)
                {
                    if (i == 2 || i == 3)
                    {
                        cout<<rezultat[i][1]<<" "<<rezultat[i][0]<<endl;
                    }
                    else
                    {
                        cout<<rezultat[i][0]<<" "<<rezultat[i][1]<<endl;
                    }
                }

            }
}